Bug 149322 - CAN-2005-0490 Multiple stack based buffer overflows in curl
Summary: CAN-2005-0490 Multiple stack based buffer overflows in curl
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: curl (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard: impact=low,public=20050221,source=bug...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 14:04 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 15:06:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:340 normal SHIPPED_LIVE Low: curl security update 2005-04-05 04:00:00 UTC

Description Josh Bressers 2005-02-22 14:04:47 UTC
Multiple stack-based buffer overflows in libcURL and cURL 7.12.1, and
possibly other versions, allow remote malicious web servers to execute
arbitrary code via base64 encoded replies that exceed the intended
buffer lengths when decoded, which is not properly handled by (1) the
Curl_input_ntlm function in http_ntlm.c during NTLM authentication or
(2) the Curl_krb_kauth and krb4_auth functions in krb4.c during
Kerberos authentication.

http://www.idefense.com/application/poi/display?id=203&type=vulnerabilities
http://www.idefense.com/application/poi/display?id=202&type=vulnerabilities

Comment 1 Josh Bressers 2005-02-22 14:05:54 UTC
This issue should also affect RHEL2.1 and RHEL3.

Comment 2 Josh Bressers 2005-04-05 15:06:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-340.html



Note You need to log in before you can comment on or make changes to this bug.